Subject: wu-ftp on AIX v4.3

From: Edward Geraghty <[email-masked]>
Date: Fri, 24 Jul 1998 01:03:26 -0400

Hey all,

 I remember seeing people having problems with wuftp on AIX v4.3 where
it returns an llegal port
message...  See below.. I just didn't remember seeing the answer posted..

220 rowen.nyc.ibm.com FTP server (Version wu-2.4.2-academ[BETA-18](1) Tue Jul
21 19:07:23 EDT 1998) ready.
Name (rowen.nyc.ibm.com:ed): ftp
331 Guest login ok, send your complete e-mail address as password.
Password:
230 Guest login ok, access restrictions apply.
ftp> ls
500 Illegal PORT Command
500 Can't build data connection: no PORT specified
ftp>

  After about 3-4 hours with different versions of wuftp and differnet
versions of AIX and
 browsing through source code and header files. I tracked it down to
getpeername() system
call returning a familiy of 24 not 2. Familiy 2 is AF_INET and 24 is AF_INETV6.
AIX v4.3  now supports Pv6.
INETd was passing a IPv6 connection to the ftpd. After all the debugging it
turns out to be something
real simple. DOH!

In /etc/inetd.conf:

Bad:
 ftp     stream  tcp6    nowait  root    /etc/ftpd        ftpd -a

Good:
 ftp     stream  tcp    nowait  root    /etc/ftpd         ftpd -a

If you just changed the executable path you get nailed by this.. You also need
to set it from tcp6 to
tcp. DOH DOH DOH!!!

Hope I can save someone many hours of grief.  :) IPv6 support might be a nice
project... AIX v4.3
supports it I would assume other vendors would support it soon.

EdGy